import type { NobjcObject } from "objc-js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _NSDictionaryControllerKeyValuePair extends _NSObject {
    static alloc(): _NSDictionaryControllerKeyValuePair;
    static new(): _NSDictionaryControllerKeyValuePair;
    init(): _NSDictionaryControllerKeyValuePair;
    key(): _NSString | null;
    setKey$(value: _NSString | null): void;
    value(): NobjcObject | null;
    setValue$(value: NobjcObject | null): void;
    /** The localized key from the NSDictionaryController’s localizedKeyDictionary */
    localizedKey(): _NSString | null;
    setLocalizedKey$(value: _NSString | null): void;
    /** YES if the key is in the NSDictionaryController’s includedKeys, otherwise NO */
    explicitlyIncluded(): boolean;
}
